## org.apache.lucene.search
Class HitCollector

    java.lang.Object
      org.apache.lucene.search.HitCollector

Direct Known Subclasses:
  TimeLimitedCollector, TopDocCollector

Deprecated. Please use `Collector` instead.

    public abstract class HitCollector

extends java.lang.Object

Lower-level search API.
HitCollectors are primarily meant to be used to implement queries, sorting and filtering. See `Collector` for a lower level and higher performance (on a multi-segment index) API.

Version:
  $Id: HitCollector.java 764551 2009-04-13 18:33:56Z mikemccand $
See Also:
  `Searcher.search(Query,HitCollector)`

Constructor Summary
`HitCollector()` Deprecated.

Method Summary
`abstract void` `collect(int doc, float score)` Deprecated. Called once for every document matching a query, with the document number and its raw score.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HitCollector

    public HitCollector()

  Deprecated.

Method Detail

### collect

    public abstract void collect(int doc,
                                 float score)

  Deprecated.
  Called once for every document matching a query, with the document number and its raw score.

  If, for example, an application wished to collect all of the hits for a query in a BitSet, then it might:

         Searcher searcher = new IndexSearcher(indexReader);
         final BitSet bits = new BitSet(indexReader.maxDoc());
         searcher.search(query, new HitCollector() {
             public void collect(int doc, float score) {
               bits.set(doc);
             }
           });

  Note: This is called in an inner search loop. For good search performance, implementations of this method should not call `Searcher.doc(int)` or `IndexReader.document(int)` on every document number encountered. Doing so can slow searches by an order of magnitude or more.

  Note: The `score` passed to this method is a raw score. In other words, the score will not necessarily be a float whose value is between 0 and 1.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.